org.glassfish.jersey.message

## Class MessageProperties

- java.lang.Object
- - org.glassfish.jersey.message.MessageProperties

    public final class MessageProperties
    extends Object

Jersey configuration properties for message & entity processing.

Author:
  Marek Potociar

### Field Summary

Fields
`static String` `DEFLATE_WITHOUT_ZLIB` If set to `true`, `DeflateEncoder deflate encoding interceptor` will use non-standard version of the deflate content encoding, skipping the zlib wrapper.
`static String` `IO_BUFFER_SIZE` Value of the property indicates the buffer size to be used for I/O operations on byte and character streams.
`static int` `IO_DEFAULT_BUFFER_SIZE` The default buffer size (8192) for I/O operations on byte and character streams.
`static String` `JAXB_PROCESS_XML_ROOT_ELEMENT` If set to `true` then XML root element tag name for collections will be derived from `@XmlRootElement` annotation value and won't be de-capitalized.
`static String` `LEGACY_WORKERS_ORDERING` If set to `true`, `MessageBodyReaders` and `MessageBodyWriters` will be ordered by rules from JAX-RS 1.x, where custom providers have always precedence; providers are sorted by `MediaType` and afterwards by declaration distance - see `MessageBodyFactory.DeclarationDistanceComparator`.
`static String` `XML_FORMAT_OUTPUT` If set to `true` indicates that produced XML output should be formatted if possible (see below).
`static String` `XML_SECURITY_DISABLE` If set to `true` XML security features when parsing XML documents will be disabled.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JAXB_PROCESS_XML_ROOT_ELEMENT

    public static final String JAXB_PROCESS_XML_ROOT_ELEMENT

If set to `true` then XML root element tag name for collections will be derived from `@XmlRootElement` annotation value and won't be de-capitalized.

The default value is `false`.

The name of the configuration property is `"jersey.config.jaxb.collections.processXmlRootElement"`.

See Also:
  Constant Field Values

#### XML_SECURITY_DISABLE

    public static final String XML_SECURITY_DISABLE

If set to `true` XML security features when parsing XML documents will be disabled.

The default value is `false`.

The name of the configuration property is `"jersey.config.xml.security.disable"`.

See Also:
  Constant Field Values

#### XML_FORMAT_OUTPUT

    public static final String XML_FORMAT_OUTPUT

If set to `true` indicates that produced XML output should be formatted if possible (see below).

A XML message entity written by a `MessageBodyWriter` may be formatted for the purposes of human readability provided the respective `MessageBodyWriter` supports XML output formatting. All JAXB-based message body writers support this property.

The default value is `false`.

The name of the configuration property is `"jersey.config.xml.formatOutput"`.

See Also:
  Constant Field Values

#### IO_BUFFER_SIZE

    public static final String IO_BUFFER_SIZE

Value of the property indicates the buffer size to be used for I/O operations on byte and character streams. The property value is expected to be a positive integer otherwise it will be ignored.

The default value is `8192`.

The name of the configuration property is `"jersey.config.io.bufferSize"`.

See Also:
  Constant Field Values

#### IO_DEFAULT_BUFFER_SIZE

    public static final int IO_DEFAULT_BUFFER_SIZE

The default buffer size (8192) for I/O operations on byte and character streams.

See Also:
  Constant Field Values

#### DEFLATE_WITHOUT_ZLIB

    public static final String DEFLATE_WITHOUT_ZLIB

If set to `true`, `DeflateEncoder deflate encoding interceptor` will use non-standard version of the deflate content encoding, skipping the zlib wrapper. Unfortunately, deflate encoding implementations in some products use this non-compliant version, hence the switch.

The default value is `false`.

The name of the configuration property is `"jersey.config.deflate.nozlib"`.

See Also:
  Constant Field Values

#### LEGACY_WORKERS_ORDERING

    public static final String LEGACY_WORKERS_ORDERING

If set to `true`, `MessageBodyReaders` and `MessageBodyWriters` will be ordered by rules from JAX-RS 1.x, where custom providers have always precedence; providers are sorted by `MediaType` and afterwards by declaration distance - see `MessageBodyFactory.DeclarationDistanceComparator`. Otherwise JAX-RS 3.x ordering will be used, which sorts providers firstly by declaration distance, then by `MediaType` and by origin (custom/provided).

The default value is `false`.

The name of the configuration property is `"jersey.config.workers.legacyOrdering"`.

See Also:
  Constant Field Values